[tox]
minversion = 1.6
skipsdist = True
envlist =
    flake8
    check-new-error-tasks
    deployment-calendar
    make-release

[testenv:flake8]
commands = flake8
deps = flake8

[testenv:make-deploy-notes]
commands =
deps = -r{toxinidir}/make-deploy-notes/requirements.txt

[testenv:make-release]
changedir = {toxinidir}/make-release
commands = py.test
deps = -rmake-release/requirements.txt
       -rmake-release/test-requirements.txt

[testenv:check-new-error-tasks]
changedir = {toxinidir}/check-new-error-tasks
commands = py.test
deps = -rcheck-new-error-tasks/requirements.txt
       -rcheck-new-error-tasks/test-requirements.txt

[testenv:deployment-calendar]
changedir = {toxinidir}/make-deployment-calendar
basepython = python3
deps = -r {toxinidir}/make-deployment-calendar/requirements.txt
       -r {toxinidir}/make-deployment-calendar/test-requirements.txt
commands = pytest
